<!-- Sidebar Menu Starts -->
<div class="gc-sidenav">
  <div class="gc-create-contact">
    <button class="uk-button" (click)="openModel()" uk-toggles><span uk-icon="icon: plus" class="gc-icon"></span>
      Create contact</button>
  </div>
  <ul class="uk-nav-default uk-nav-parent-icon" uk-nav>
    <li class="uk-active"><a href="#"><span class="ti-user gc-icon"></span> Contacts</a></li>
    <li><a href="#"><span class="ti-back-right gc-icon"></span> Frequently contacted</a></li>
    <li><a href="#"><span class="ti-files gc-icon"></span> Duplicates</a></li>
    <li class="uk-nav-divider"></li>
    <li uk-toggle="target: #gc-create-label; animation: uk-animation-slide-top, uk-animation-slide-top"
      (click)="changeIcon()"><a href="#"><span class="{{iconLabel}} gc-icon"></span>Labels</a></li>


    <li id="gc-create-label">
      <ul class="labels row">
        <li *ngFor="let l of displaylabel" class="col-md-12 gc-editidelete" >
          <a>
            <span class="ti-tag gc-icon"></span>
            {{l.name}}
          </a>
          <span class="ti-pencil edit" (click)="labelUpdate(l.id)"></span>
          <span class="ti-trash delete" (click)="deletelabel(l.id)"></span>
        </li>
      </ul>

      <a href="#gc-create-label-modal" uk-toggle><span class="ti-plus gc-icon"></span> Create
        label</a>
    </li>
    <li class="uk-nav-divider"></li>
    <li><a href="#"><span class="ti-import gc-icon"></span> Import</a></li>
    <li><a href="#"><span class="ti-export gc-icon"></span> Export</a></li>
    <li><a href="#"><span class="ti-printer gc-icon"></span> Print</a></li>
    <li class="uk-nav-divider"></li>
    <li><a href="#"><span class="ti-cloud-down gc-icon"></span> Other Contacts</a></li>
  </ul>
</div>
<!-- Side Menu Bar Ends -->

<!-- Modal to Create Label Starts-->
<div id="gc-create-label-modal" class="uk-flex-top" uk-modal>
  <div class="uk-modal-dialog  uk-margin-auto-vertical">
    <app-label-modal></app-label-modal>
  </div>
</div>


<div id="gc-edit-label-modal" class="uk-flex-top" uk-modal>
  <div class="uk-modal-dialog  uk-margin-auto-vertical">
    <div class="uk-modal-body">
      <div class="gc-header"> Rename label </div>
      <form [formGroup]="label" (ngSubmit)="editlabel()">
        <div class="gc-input"> <input class="uk-input" type="text" formControlName="name" required> </div>
        <div class="uk-width-expand uk-text-right">
          <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
          <button class="uk-button uk-button-default" type="submit" [disabled]="!label.valid">Save</button>
        </div>
      </form>
    </div>
  </div>
</div>

<!-- Modal to Create Label End-->
